import React, { Component } from 'react';

import TPMShixunDiscuss from './TPMShixunDiscuss'


class TPMShixunDiscussContainer extends Component {
  constructor(props) {
    super(props)
    this.state = {
    }
  }


  render() {
    const { tpmLoading } = this.props;
    const user = this.props.current_user;
    return (
      <React.Fragment>
        {tpmLoading ? <div style={{ minHeight: '886px' }}></div> :
          <TPMShixunDiscuss
            {...this.props}
            {...this.state}
            user={user}
            aboutFocus={this.props.aboutFocus}
            is_jupyter={this.props.is_jupyter}
          >
          </TPMShixunDiscuss>
        }
      </React.Fragment>
    );
  }
}

export default TPMShixunDiscussContainer;
